STRUCT TEMPLATE A(3)

NAME
boost::proto::result_of::as_expr - A metafunction that computes the return type of the proto::as_expr() function.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T, typename Domain = proto::default_domain>
struct as_expr {
  // types
  typedef typename Domain::template as_expr< T >::result_type type;
};

DESCRIPTION

The proto::result_of::as_expr<> metafunction turns types into Proto expression types, if they are not already, in a domain-specific way. It is intended for use to compute the type of a local variable that can hold the result of the proto::as_expr() function.

See proto::domain::as_expr<> for a complete description of the default behavior.